org.gradle.api.artifacts

## Interface LenientConfiguration

-     public interface LenientConfiguration

  Resolved configuration that does not fail eagerly when some dependencies are not resolved, or some artifacts do not exist.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ResolvedDependency>` | `getAllModuleDependencies()` Returns all successfully resolved dependencies including transitive dependencies.
    `Set<ResolvedArtifact>` | `getArtifacts()` Gets successfully resolved artifacts.
    `Set<ResolvedArtifact>` | `getArtifacts(Spec<? super Dependency> dependencySpec)` Gets successfully resolved artifacts.
    `Set<File>` | `getFiles()` Returns successfully resolved files.
    `Set<File>` | `getFiles(Spec<? super Dependency> dependencySpec)` Returns successfully resolved files.
    `Set<ResolvedDependency>` | `getFirstLevelModuleDependencies()` Returns successfully resolved direct dependencies.
    `Set<ResolvedDependency>` | `getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)` Returns successfully resolved dependencies that match the given spec.
    `Set<UnresolvedDependency>` | `getUnresolvedModuleDependencies()` returns dependencies that were attempted to resolve but failed.

- - ### Method Detail

    - #### getFirstLevelModuleDependencies

          Set<ResolvedDependency> getFirstLevelModuleDependencies()

      Returns successfully resolved direct dependencies.
      Returns:
        only resolved dependencies
      Since:
        3.3

    - #### getFirstLevelModuleDependencies

          Set<ResolvedDependency> getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)

      Returns successfully resolved dependencies that match the given spec.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        only resolved dependencies

    - #### getAllModuleDependencies

          Set<ResolvedDependency> getAllModuleDependencies()

      Returns all successfully resolved dependencies including transitive dependencies.
      Returns:
        all resolved dependencies
      Since:
        3.1

    - #### getUnresolvedModuleDependencies

          Set<UnresolvedDependency> getUnresolvedModuleDependencies()

      returns dependencies that were attempted to resolve but failed. If empty then all dependencies are neatly resolved.
      Returns:
        only unresolved dependencies

    - #### getFiles

          Set<File> getFiles()

      Returns successfully resolved files. Ignores dependencies or files that cannot be resolved.
      Returns:
        resolved dependencies files
      Since:
        3.3

    - #### getFiles

          Set<File> getFiles(Spec<? super Dependency> dependencySpec)

      Returns successfully resolved files. Ignores dependencies or files that cannot be resolved.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        resolved dependencies files

    - #### getArtifacts

          Set<ResolvedArtifact> getArtifacts()

      Gets successfully resolved artifacts. Ignores dependencies or files that cannot be resolved.
      Returns:
        successfully resolved artifacts
      Since:
        3.3

    - #### getArtifacts

          Set<ResolvedArtifact> getArtifacts(Spec<? super Dependency> dependencySpec)

      Gets successfully resolved artifacts. Ignores dependencies or files that cannot be resolved.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        successfully resolved artifacts for dependencies that match given dependency spec